﻿.fab {
    position: fixed;
    bottom: 30px;
    right: 30px;
}

    .fab button {
        cursor: pointer;
        width: 48px;
        height: 48px;
        border-radius: 30px;
        /*background-color: #cb60b3;*/
        border: none;
        box-shadow: 0 1px 5px rgba(0,0,0,.4);
        font-size: 24px;
        color: white;
        -webkit-transition: .2s ease-out;
        -moz-transition: .2s ease-out;
        transition: .2s ease-out;
    }

        .fab button:focus {
            outline: none;
        }

        .fab button.fab-main {
            position: absolute;
            width: 60px;
            height: 60px;
            border-radius: 30px;
            background-color: #5b19b7;
            right: 0;
            bottom: 0;
            z-index: 20;
        }

            .fab button.fab-main:before {
                font-family: "Font Awesome 5 Free";
                font-weight: 900;
                content: '\f0c9';
            }

    .fab ul {
        position: absolute;
        bottom: 0;
        right: 0;
        padding: 0;
        padding-right: 5px;
        margin: 0;
        list-style: none;
        z-index: 10;
        -webkit-transition: .2s ease-out;
        -moz-transition: .2s ease-out;
        transition: .2s ease-out;
    }

        .fab ul li {
            display: flex;
            justify-content: flex-start;
            position: relative;
            margin-bottom: -10%;
            opacity: 0;
            border: unset;
            background-color: transparent;
            padding: 0;
            transition: .3s ease-out;
            -webkit-transition: .3s ease-out;
            -moz-transition: .3s ease-out;
        }

            .fab ul li label {
                margin-right: 10px;
                white-space: nowrap;
                display: block;
                margin-top: 10px;
                padding: 5px 8px;
                color: white;
                background-color: rgba(0,0,0,.2);
                box-shadow: 0 1px 3px rgba(0,0,0,.2);
                border-radius: 3px;
                height: 25px;
                font-size: 16px;
                pointer-events: none;
                opacity: 0;
                -webkit-transition: .2s ease-out;
                -moz-transition: .2s ease-out;
                transition: .2s ease-out;
            }

    .fab.show button.fab-main,
    .fab.show button.fab-main {
        outline: none;
        background-color: #7716ff;
        box-shadow: 0 3px 8px rgba(0,0,0,.5);
    }

        .fab.show button.fab-main:before,
        .fab.show button.fab-main:before {
            font-family: "Font Awesome 5 Free";
            font-weight: 900;
            content: '\f062';
        }

        .fab.show button.fab-main + ul,
        .fab.show button.fab-main + ul {
            bottom: 70px;
        }

            .fab.show button.fab-main + ul li,
            .fab.show button.fab-main + ul li {
                margin-bottom: 10px;
                opacity: 1;
            }

                .fab.show button.fab-main + ul li:hover label,
                .fab.show button.fab-main + ul li:hover label {
                    opacity: 1;
                }

.fab-item-icon {
    font-size: smaller;
}
